MV(1)

NOM
mv - Déplacer ou renommer des fichiers

SYNOPSIS
mv [OPTION]... [-T] SOURCE CIBLE
mv [OPTION]... SOURCE... RÉPERTOIRE
mv [OPTION]... -t RÉPERTOIRE SOURCE...

DESCRIPTION

Renommer la SOURCE en CIBLE ou déplacer la SOURCE vers le RÉPERTOIRE.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

--backup[=CONTRÔLE]
    archiver chaque fichier cible existant

-b  identique à --backup mais sans paramètre

--debug
    expliquer comment un fichier est copié. Implique -v

--exchange
    échanger la source et la destination

-f, --force
    ne pas demander de confirmation avant d'écraser

-i, --interactive
    demander confirmation avant d'écraser

-n, --no-clobber
    ne pas écraser un fichier existant

Si vous fournissez plus d'une des options -i, -f, -n, seule la dernière prendra effet.

--no-copy
    ne pas copier si le renommage échoue

--strip-trailing-slashes
    enlever le « / » en suffixe de chaque paramètre de SOURCE

-S, --suffix=SUFFIXE
    outrepasser le suffixe habituel d'archivage avec le SUFFIXE

-t, --target-directory=RÉPERTOIRE
    déplacer tous les paramètres SOURCE vers le RÉPERTOIRE

-T, --no-target-directory
    traiter la CIBLE comme un fichier normal

--update[=MISE_À_JOUR]
    contrôler quels fichiers existants sont mis à jour ; MISE_À_JOUR={all,none,none-fail,older(par défaut)}

-u  Équivalent à --update[=older]. Voir plus bas

-v, --verbose
    expliquer ce qui est fait

-Z, --context
    définir le contexte de sécurité SELinux du fichier cible au type par défaut

--help
    Afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter

UPDATE controle quels fichiers existants sont remplacés dans l'emplacement de destination. L'opération par défaut est « all » quand aucune option --update est spécifiée et a pour conséquence que tous les fichiers existant dans l'emplacement de destination sont remplacés. « none » est identique à l'option --no-clobber, dans la mesure où aucun fichier dans l'emplacement de destination n'est remplacé, et les fichiers ignorés ne provoquent pas d'échec. « none-fail » assure aussi qu'aucun fichier n'est remplacé dans la destination, mais tous les fichiers ignorés sont diagnostiqués et provoquent un échec. « older » est l'opération par défaut quand --update est spécifié et a pour conséquence que tous les fichiers sont remplacés s'ils sont plus anciens que le fichier source correspondant.

Le suffixe d'archivage est « ~ », à moins d'avoir été initialisé avec --suffix ou SIMPLE_BACKUP_SUFFIX. La méthode de contrôle de version peut être choisie à l'aide de l'option --backup ou à l'aide de la variable d'environnement VERSION_CONTROL parmi les valeurs suivantes :

none, off
    ne jamais archiver (même si --backup est utilisé)

numbered, t
    faire des archives numérotées

existing, nil
    numéroter si des archives numérotées existent déjà, sinon ne pas numéroter

simple, never
    toujours faire des archives de type simple

AUTEUR
Écrit par Mike Parker, David MacKenzie et Jim Meyering.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

VOIR AUSSI
rename(2)

Documentation complète : <https://www.gnu.org/software/coreutils/mv>
aussi disponible localement à l’aide de la commande : info '(coreutils) mv invocation'

Empaqueté par Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou supérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer.
Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

TRADUCTION
La traduction française de cette page de manuel a été créée par Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org>, Jean-Philippe MENGUAL <jpmengual@debian.org> et bubu <bubub@no-log.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.